Package eu.mhsl.minenet.gameList.messageOld

# Class Message

java.lang.Object
eu.mhsl.minenet.gameList.messageOld.Message

All Implemented Interfaces:
  `Sendable`

Direct Known Subclasses:
  `ActionBarMessage`, `ChatMessage`, `SubtitleMessage`, `TitleMessage`

public abstract class Message extends Object implements Sendable

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected net.kyori.adventure.text.ComponentBuilder`
  `text`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Message()`
  `protected`
  `Message(net.kyori.adventure.text.ComponentBuilder text)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Message`
  `append(Object message)`
  `Message`
  `append(Object message, net.kyori.adventure.text.format.NamedTextColor color)`
  `net.kyori.adventure.text.Component`
  `getComponent()`
  `Message`
  `pipe()`
  `Message`
  `quote(Object quote)`
  `Message`
  `quote(Object quote, Object delimiter)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface eu.mhsl.minenet.gameList.messageOld.Sendable

  `send`

- ## Field Details

  - ### text

    protected net.kyori.adventure.text.ComponentBuilder text

- ## Constructor Details

  - ### Message

    protected Message(net.kyori.adventure.text.ComponentBuilder text)

  - ### Message

    protected Message()

- ## Method Details

  - ### quote

    public Message quote(Object quote)

  - ### quote

    public Message quote(Object quote, Object delimiter)

  - ### append

    public Message append(Object message)

  - ### pipe

    public Message pipe()

  - ### append

    public Message append(Object message, net.kyori.adventure.text.format.NamedTextColor color)

  - ### getComponent

    public net.kyori.adventure.text.Component getComponent()